Crystal Space: iMissingLoaderData Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iMissingLoaderData Struct Reference
[Loading & Saving support]

This callback is called when the loader can't find some material, texture, factory, mesh, light, shader, or sector. More...

`#include <imap/loader.h>`

Inheritance diagram for iMissingLoaderData:

[legend]
List of all members.

## Public Member Functions
virtual iMeshFactoryWrapper * | MissingFactory (const char *name)=0
| Called when a mesh factory is missing.
virtual iLight * | MissingLight (const char *name)=0
| Called when a light is missing.
virtual iMaterialWrapper * | MissingMaterial (const char *name, const char *filename)=0
| Called when a material is missing.
virtual iMeshWrapper * | MissingMesh (const char *name)=0
| Called when a mesh is missing.
virtual iSector * | MissingSector (const char *name)=0
| Called when a sector is missing.
virtual iShader * | MissingShader (const char *name)=0
| Called when a shader is missing.
virtual iTextureWrapper * | MissingTexture (const char *name, const char *filename)=0
| Called when a texture is missing.

## Detailed Description

This callback is called when the loader can't find some material, texture, factory, mesh, light, shader, or sector.

This gives the application a chance to manually load it first.

Definition at line 68 of file loader.h.

## Member Function Documentation

virtual iMeshFactoryWrapper* iMissingLoaderData::MissingFactory | ( | const char * | name | ) | `[pure virtual]`

Called when a mesh factory is missing.

This implementation should either attempt to find or load the mesh factory or else return 0. In the last case the loader will proceed as usual when a mesh factory is not found.

virtual iLight* iMissingLoaderData::MissingLight | ( | const char * | name | ) | `[pure virtual]`

Called when a light is missing.

This implementation should either attempt to find or load the light or else return 0. In the last case the loader will proceed as usual when a light is not found.

virtual iMaterialWrapper* iMissingLoaderData::MissingMaterial | ( | const char * | name,
|  | const char * | filename |
| ) |  |  | `[pure virtual]`

Called when a material is missing.

This implementation should either attempt to find or load the material or else return 0. In the last case the loader will proceed as usual when a material is not found.

virtual iMeshWrapper* iMissingLoaderData::MissingMesh | ( | const char * | name | ) | `[pure virtual]`

Called when a mesh is missing.

This implementation should either attempt to find or load the mesh or else return 0. In the last case the loader will proceed as usual when a mesh is not found.

virtual iSector* iMissingLoaderData::MissingSector | ( | const char * | name | ) | `[pure virtual]`

Called when a sector is missing.

This implementation should either attempt to find or load the sector or else return 0. In the last case the loader will proceed as usual when a sector is not found.

virtual iShader* iMissingLoaderData::MissingShader | ( | const char * | name | ) | `[pure virtual]`

Called when a shader is missing.

This implementation should either attempt to find or load the shader or else return 0. In the last case the loader will proceed as usual when a shader is not found.

virtual iTextureWrapper* iMissingLoaderData::MissingTexture | ( | const char * | name,
|  | const char * | filename |
| ) |  |  | `[pure virtual]`

Called when a texture is missing.

This implementation should either attempt to find or load the texture or else return 0. In the last case the loader will proceed as usual when a texture is not found.

The documentation for this struct was generated from the following file:

- imap/loader.h